coreFramework.filter('cfDate', function ($filter) {
    return function (input, type) {
    	
    	return $filter('date')(window.moment ? window.moment(input).format() : input, type || 'longDate');
        


        var moment = $filter('moment')(input);
        var format = 'longDate';

        if (angular.isDefined(type)) {
            format = type;
        }

        return $filter('date')(moment, format);
    }
});